<script setup>
import AppLayout from '@/Layouts/AppLayout.vue';
import {reactive} from "vue";


defineProps({ movie: Object }, )

function deleteMovie(id) {
    axios.delete("/movie/delete/" + id)
        .then((response) => {
            window.location.reload()

        });

}

</script>


<template>
    <AppLayout title="Dashboard">
        <template #header>
            <h2 class="font-semibold text-xl text-gray-800 leading-tight">
                Movies
            </h2>
        </template>

        <div class="py-12">
            <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
                <div class="container my-12 mx-auto px-4 md:px-12">
                    <div class="flex flex-wrap -mx-1 lg:-mx-4">

                        <!-- Column -->
                        <div :key="index" v-for="(movie, index) in movie" class="my-1 px-1 w-full md:w-1/2 lg:my-4 lg:px-4 lg:w-1/3">

                            <!-- Article -->
                            <article  class="overflow-hidden rounded-lg shadow-lg">

                                <a href="#">
                                    <img alt="Placeholder" class="block h-auto w-full" :src="`https://image.tmdb.org/t/p/original${movie.poster_path}`">
                                </a>

                                <header class="flex items-center justify-between leading-tight p-2 md:p-4">
                                    <h1 class="text-lg">
                                        <a class="no-underline hover:underline text-black" :href="'/movie/' + movie.id">
                                            {{ movie.title }}
                                        </a>
                                    </h1>

                                    <p class="text-grey-darker text-sm">
                                        {{ movie.release_date }}
                                    </p>
                                </header>

                                <a class="no-underline hover:underline text-black">
                                    {{ movie.title }}
                                </a>

                                <button @click="deleteMovie(movie.id)" class="inline-block px-5 py-2 mx-auto text-white bg-blue-600 rounded-full hover:bg-blue-700 md:mx-0">
                                    Delete
                                </button>


                            </article>
                            <!-- END Article -->

                        </div>


                    </div>
                </div>


            </div>
        </div>

    </AppLayout>
</template>
